Skip to content
GAMPEONCreate
New project

Disconnect a member from voice

DELETE
/v1/communities/{id}/voice/members/{handle}
curl --request DELETE \
--url https://api.gampeon.com/v1/communities/1/voice/members/example \
--header 'Authorization: Bearer <token>'

Your own handle: leave voice. Someone else: needs moveMembers, and their highest role must be below yours. They can join again (time them out or kick them to stop that). In the audit log.

Not available with access tokens.

id
required
integer
>= 1

Community ID

handle
required
string
/^[a-z0-9_]{3,24}$/

Handle of the member

Disconnected

Error codes: unauthorized

Media typeapplication/json
object
error
required

Machine-readable error code, for example not_found or rate_limited.

string
message

Human-readable detail. Only present for some errors.

string

Example generated

{
"error": "example",
"message": "example"
}

Error codes: token_not_allowed, missing_permission, role_hierarchy, forbidden

Media typeapplication/json
object
error
required

Machine-readable error code, for example not_found or rate_limited.

string
message

Human-readable detail. Only present for some errors.

string

Example generated

{
"error": "example",
"message": "example"
}

Error codes: not_found, not_in_voice

Media typeapplication/json
object
error
required

Machine-readable error code, for example not_found or rate_limited.

string
message

Human-readable detail. Only present for some errors.

string

Example generated

{
"error": "example",
"message": "example"
}

Report a problem with this pageOther ways to give feedback